Bug 1365253 - Self-service UI "My Requests" summary page is missing "Last Message" field
Summary: Self-service UI "My Requests" summary page is missing "Last Message" field
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - Service
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.0
Assignee: Josh Langholtz
QA Contact: Shveta
URL:
Whiteboard: ssui
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-08 17:31 UTC by cwyatt
Modified: 2017-05-31 14:21 UTC (History)
8 users (show)

Fixed In Version: 5.8.0.6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:21:06 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
My Requests page (42.82 KB, image/png)
2016-08-08 17:31 UTC, cwyatt
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description cwyatt 2016-08-08 17:31:43 UTC
Created attachment 1188883 [details]
My Requests page

Description of problem:
My client is highly reliant upon the Last Message field in the classic Services -> Requests page of the operations UI. We update that field throughout the provisioning/reconfiguration lifecycle in order to inform the user what step of the state machine they are waiting on, what step has failed, information messages, etc.


Version-Release number of selected component (if applicable):
5.6.0.13.20160624114606_13a9153

How reproducible:
Provision or reconfigure any service in the self-service UI. You will see that the Last Message field is not present on the My Requests page. 

I am aware that the field is present if when you click on the individual request, but it would be helpful to have it on the status page with all of the other requests.


Steps to Reproduce:
1. Provision a service
2. Check the self-service UI "My Requests" page
3.

Actual results:


Expected results:


Additional info:

Comment 2 Chris Kacerguis 2017-01-25 21:24:45 UTC
Removed RFE from title, as this appears to be a bug.

Comment 4 Chris Kacerguis 2017-03-08 20:18:35 UTC
Josh,

Really need this fixed ASAP.

Chris

Comment 6 CFME Bot 2017-03-09 17:08:02 UTC
New commit detected on ManageIQ/manageiq-ui-service/master:
https://github.com/ManageIQ/manageiq-ui-self_service/commit/af8d4097dc6944ef2c1302c199dbde8051efcd37

commit af8d4097dc6944ef2c1302c199dbde8051efcd37
Author:     Josh Langholtz <jjlangholtz@gmail.com>
AuthorDate: Thu Mar 9 11:29:12 2017 -0500
Commit:     Josh Langholtz <jjlangholtz@gmail.com>
CommitDate: Thu Mar 9 11:29:12 2017 -0500

    Add 'Last Message' to the requests explorer
    
    Replace the 'ID' field with the 'Last Message' field in the requests
    explorer. The id field is not used in any other collection view while
    the message field generally provides more 'at a glance' information.
    
    Because the message field is generally larger than the id column was,
    shorten the approval status field to show only the icon and not the
    text.
    
    This change also modifies the other fields to have the stacked column
    look, for consistency.
    
    https://www.pivotaltracker.com/story/show/138616171
    https://bugzilla.redhat.com/show_bug.cgi?id=1365253

 .../request-explorer/request-explorer.component.js | 10 ++++++-
 .../request-explorer/request-explorer.html         | 34 +++++++++++++++-------
 2 files changed, 33 insertions(+), 11 deletions(-)

Comment 7 Shveta 2017-03-23 23:21:16 UTC
Fixed.
Verified in 5.8.0.7-nightly.20170323132108_81839457

Comment 9 errata-xmlrpc 2017-05-31 14:21:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.